Public Member Functions | Static Public Member Functions | Data Fields

# GraphicsSet Struct Reference

All data of a graphics set. More...

`#include <base_media_base.h>`

Inheritance diagram for GraphicsSet:

## Public Member Functions
bool | FillSetDetails (struct IniFile *ini, const char *path, const char *full_filename)
## Static Public Member Functions
static MD5File::ChecksumResult | CheckMD5 (const MD5File *file, Subdirectory subdir)
| Calculate and check the MD5 hash of the supplied GRF.
## Data Fields
PaletteType | palette
| Palette of this graphics set.
BlitterType | blitter
| Blitter of this graphics set.

## Detailed Description

All data of a graphics set.

Definition at line 239 of file base_media_base.h.

## Member Function Documentation

MD5File::ChecksumResult GraphicsSet::CheckMD5 | ( | const MD5File * | file,
|  | Subdirectory | subdir |
| ) |  |  | `[static]`

Calculate and check the MD5 hash of the supplied GRF.

Parameters:

  | file | The file get the hash of.
  | subdir | The sub directory to get the files from.

Returns:
  - CR_MATCH if the MD5 hash matches
  - CR_MISMATCH if the MD5 does not match
  - CR_NO_FILE if the file misses

Reimplemented from BaseSet< GraphicsSet, MAX_GFT, true >.

Definition at line 293 of file gfxinit.cpp.

References MD5File::CheckMD5(), MD5File::filename, FioFCloseFile(), FioFOpenFile(), GRFGetSizeOfDataSection(), and max().

Referenced by CheckExternalFiles().

The documentation for this struct was generated from the following files:

- src/base_media_base.h
- src/gfxinit.cpp